Skip to main content
GET
List agents

Authorizations

Authorization
string
header
default:$CARTESIA_API_KEY
required

Cartesia API key (sk_car_...). Get one at play.cartesia.ai/keys.

Headers

Cartesia-Version
enum<string>
default:2026-08-14
required

API version header.

Available options:
2026-08-14
Example:

"2026-08-14"

Query Parameters

starting_after
string

A cursor for pagination. Pass the ID of the last item from the previous page to fetch the next page.

ending_before
string

A cursor for pagination. Pass the ID of the first item from the previous page to fetch the previous page.

limit
integer
default:10

The maximum number of items to return, ranging between 1 and 100.

Required range: 1 <= x <= 100
q
string

Search agents by name or description.

Response

200 - application/json

List agents

data
ManagedAgentSummary · object[]
required

The requested page of results.

has_more
boolean
required

Whether more results are available after this page.

next_page
string | null

An ID that can be passed as starting_after or ending_before to get the next page of data.